=== debian/changelog ===
ros-foxy-kobuki-ftdi (1.0.0-1focal) focal; urgency=high

  * [infra] v1 release
  * [read] bugfix to process errors on return from ftdi_read_eeprom

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 14 Jan 2020 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.9.0-1focal) focal; urgency=high

  * migrated from kobuki_core to a standalone repo (flashing/troubleshooting purposes only)

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Jan 2020 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.8.0-1focal) focal; urgency=high

  * build rules updated for ament

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Jan 2020 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.7.8-1focal) focal; urgency=high

  * debian postinstall script for kobuki's udev rule

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 02 Apr 2017 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.7.5-1focal) focal; urgency=high

  * bugfixing the missing pkg-config dependency

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 03 Mar 2017 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.7.3-1focal) focal; urgency=high

  * bugfix the missing prefix in the pkg_search_module calls

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Feb 2017 05:00:00 -0000

ros-foxy-kobuki-ftdi (0.6.1-1focal) focal; urgency=high

  * remove kobuki_ros kobuki_nodelet libaries export in catkin_package closes #16 <https://github.com/yujinrobot/kobuki_core/issues/16>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 27 May 2015 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.6.0-1focal) focal; urgency=high

  * Fix compilation.
    - fix the names of the pkg-config libraries of libusb and libftdi. I checked on Ubuntu and OS X.
    - ftdi-eeprom is not a library and has no pkg-config file.
  * Update the readme in kobuki_ftdi
  * Create README.md
  * kobuki_ftdi : Updated doxygen document.
  * Contributors: Jihoon Lee, Nikolaus Demmel, Younghun Ju

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Aug 2014 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.5.3-1focal) focal; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.5.2-1focal) focal; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 31 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.5.1-1focal) focal; urgency=high

  * Updated license info.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.5.0-1focal) focal; urgency=high

  * Added extra url info on all packages.
  * Updated old rnd email address.
  * Fix URL to the previous changelog wiki.
  * Changelogs at package level.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-ftdi (0.4.0-1focal) focal; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 09 Aug 2013 04:00:00 -0000
